# Sygna Developer Center Documentation > Documentation for Sygna Developer Center ## Guides - [Customer Due Diligence](https://developers.sygna.io/docs/customer-due-diligence.md) ## API Reference - [Bridge/VASP](https://developers.sygna.io/reference/bridgevasp-3.md): Retrieve information of one or more Virtual Assets Service Provider. The signature in Response is from Sygna Bridge,and it can be verified by the Bridge public key. VASPs can get Bridge's public key from their own registration email. There are no available filters or search criteria when making a request to . - [Bridge/VASPDetail](https://developers.sygna.io/reference/bridgevaspdetail.md): Retrieve detail information of the specific Virtual Assets Service Provider. The signature in Response is from Sygna Bridge, and it can be verified by the Bridge public key. VASPs can get Bridge's public key from their own registration email. - [Bridge/VASPUsage](https://developers.sygna.io/reference/bridgevaspusage.md): This API retrieves the total number of data transfer requests initiated within a specified time range. You can filter the results by providing a start_at and end_at timestamp. Please note that the timestamps is in UTC (UTC+0) and in milliseconds. - [Bridge/VASP/BeneficiaryEndpointUrl](https://developers.sygna.io/reference/bridgebeneficiaryendpointurl.md): This API allows requesting VASPs to update the self's callback URL programmatically, and at least one of the URLs must be specified in the request body. The requesting VASP needs to sign the body parameters with its private key to generate the signature in this API. - [Bridge/VASP/BeneficiaryCheckingRule](https://developers.sygna.io/reference/bridgebeneficiarycheckingrule.md): This API allows the beneficiary VASP to add or manage rules for validating data transfers. - [Bridge/VASP/ServerStatus](https://developers.sygna.io/reference/bridgeserverstatus.md): This API is used to declare that the VASP’s server is currently in maintenance. - [Bridge/Currencies](https://developers.sygna.io/reference/bridgecurrencies.md): Retrieve all available cryptocurrencies in Sygna and their information. Please refer to the GET /currencies API response body for the "key" in each coin/token's extra information (addr_extra_info). - [Bridge/Status](https://developers.sygna.io/reference/bridgestatus-3.md): Get status of specific Permission Request. The signature in Response is from Sygna Bridge,and it can be verified by the Bridge public key. VASPs can get Bridge's public key from their own registration email. - [Bridge/AddressValidation](https://developers.sygna.io/reference/bridgeaddressvalidation.md): Originator VASP can check if the beneficiary VASP owns the wallet address before originator personal information is sent. - [Bridge/PermissionRequest](https://developers.sygna.io/reference/bridgepermissionrequest-3.md): The first step of the permission request flow. Should be called by the originator VASP to inform Sygna Bridge about the creation of a compliant transaction. ![](https://i.imgur.com/zI8TwAL.png) The originator VASP should use its private key to construct a signature that includes the encrypted private_info and other body parameters. The originator VASP uses its private key and the callback_url to construct the signature in callback. - [Bridge/CDDRequest](https://developers.sygna.io/reference/bridgecddrequest.md): This API can be used to request enhanced Customer Due Diligence (CDD) information from the originating VASP. - [Bridge/Permission](https://developers.sygna.io/reference/bridgepermission-3.md): This request works as a response to Bridge's [Permission Request](ref:bridgepermissionrequest-3). Whenever a beneficiary VASP finishes processing the request from Bridge, it must post a permission request back to Bridge server, containing the confirmation result. ![](https://i.imgur.com/ozJ6or4.png) The Beneficiary VASP signs the body parameters with its private key to construct the signature. - [Bridge/TransactionID](https://developers.sygna.io/reference/bridgetransactionid-3.md): Submit broadcasted transaction ID on the blockchain for Bridge to keep as a record. The Originator VASP uses its private key to construct the signature that includes the body parameters. - [Bridge/Retry](https://developers.sygna.io/reference/bridgeretry-3.md): It is a brand new API that will let VASPs to retrieve the lost transfer requests in their server downtime. We will queue up the fail API requests sent to VASPs and resent the request again if Bridge/Retry is trigger. So make sure you make this API request after you restart the server. - [Bridge/CDD](https://developers.sygna.io/reference/bridgecdd.md): This API is used to send the Customer Due Diligence (CDD) information either before or after it is requested by the beneficiary VASP. - [Bridge/Cancel](https://developers.sygna.io/reference/bridgecancel.md): The originating VASP can cancel the permission request through this API. - [Bridge/Wallet Address Filter](https://developers.sygna.io/reference/bridgewallet-address-filter.md): The Sygna Wallet Address Filter (WAF) API is a key feature that enables you to determine whether a specific wallet address belongs to a VASP or an unhosted wallet based on the Sygna server's directory and your selected blockchain analytics (KYT) vendor. If the wallet address is associated with an un-hosted wallet, your KYT vendor will return a risk score for the address. If you have not yet collaborated with a blockchain analytics vendor, please contact services@sygna.io - [Bridge/CurrencyMapping](https://developers.sygna.io/reference/bridgecurrency-mapping.md): Retrieve the mapping of legacy currency_id to new currency_id_v3 and platform. - [Beneficiary/AddressValidation](https://developers.sygna.io/reference/beneficiaryaddressvalidation.md): Originator VASP can check if the beneficiary VASP owns the wallet address before originator personal information is sent. You can activate this function In the Bridge/PermissionRequest API with need_validate_addr parameter to truth. Sygna Bridge uses its private key to construct the signature that includes the body parameters. - [Beneficiary/PermissionRequest](https://developers.sygna.io/reference/beneficiarypermissionrequest-3.md): ![](https://i.imgur.com/olaT2wV.png) When Bridge gets a [**Permission Request**](ref:permission-request), it will verify the request first to ensure the data integrity, and then **Relay the request to corresponding beneficiary server**. The Originator VASP should use its private key to construct a signature that includes the body parameters. - [Beneficiary/TransactionID](https://developers.sygna.io/reference/beneficiarytransactionid.md): After originator VASP submit transaction ID on the blockchain and post to Bridge, Bridge will relay the data to corresponding beneficiary server. The Originator VASP uses its private key to construct the signature that includes the body parameters. - [Originator/Permission](https://developers.sygna.io/reference/originatorpermission-3.md): ![](https://i.imgur.com/15ZJKFt.png) Each VASP needs to implement a permission endpoint to get a notification from bridge When an originator posts a permission request to Bridge, it needs to attach this url in callback_url. The Beneficiary VASP signs the body parameters with its private key to construct the signature. - [VASP/CDD](https://developers.sygna.io/reference/vaspcdd.md): This API may differ from your position as originating or beneficiary VASP: (1) When you are an originaing VASP, you need to configure the callbacks of this API (which callback_type is "REQUEST_CDD") in order to receive the CDD request from the beneficiary VASP. ![](https://i.imgur.com/Hr0gG7C.png) (2) When you are a beneficiary VASP, you need to configure the callbacks of this API (which callback_type is "POST_CDD") in order to obtain further required private information, which the originating VASP proactively sends right after the data transfer. ![](https://i.imgur.com/iabITEy.png) (3) When you are a beneficiary VASP, you need to configure the callbacks of this API (which callback_type is "RESPOND_CDD") in order to obtain the follow-up enhanced CDD information from the originating VASP. ![](https://i.imgur.com/4cN7Kap.png) - [Beneficiary/Cancel](https://developers.sygna.io/reference/beneficiarycancel.md): The beneficiary VASP needs to configure the callbacks in order to receive the cancel request launched by the originating VASP. ## Changelog - [Deactivation of Sygna Bridge API v1](https://developers.sygna.io/changelog/deactivation-of-sygna-bridge-api-v1.md) - [Sygna Bridge v2.0 Update Notes](https://developers.sygna.io/changelog/v20-update-notes.md) - [Change you beneficiary VASP callback URL through our new API](https://developers.sygna.io/changelog/change-you-beneficiary-vasp-callback-url-through-our-new-api.md) - [Robot VASP Live](https://developers.sygna.io/changelog/robot-vasp-live.md) - [Sygna Bridge v1.1.0 Update Notes](https://developers.sygna.io/changelog/sygna-bridge-api-v110-updates.md)